
// const fs = require("fs");
// var {Chalk} = require('chalk')
var glob = require('glob')
const packageConfig = require('../package.json')
const projectName = packageConfig.name == 'hi-vui-template' ? 'project' : packageConfig.name;
// 获取所有的moduleList
var moduleList = []
// console.time()
moduleList = glob.sync(`./${projectName}/!(dist|node_modules|build)/**/package.json`);// 这个执行比较快 114.811ms
for(let i=0,l=moduleList.length;i<l;i++){
  moduleList[i]= moduleList[i].replace(/\/package\.json/gi,'')
} 
 
exports.moduleList = moduleList 